
const ИМЯ = "Файлы Главреда | Glavred Files"


// // // //


ОтобразитьВыборФайла = мир =>
{
    var файлы = Object.keys(мир.редактируемыйМодуль.структура).sort();
    // Очищаем выбор.
    for (var номер in файлы)
    {
        $(`#${мир.макет.списокФайлов.раздел}-${номер}`).removeClass("uk-active");
    }
    // Отображаем выбор.
    $(`#${мир.макет.списокФайлов.раздел}-${мир.номерВыбранногоФайла}`).addClass("uk-active");
};


// // // //


ОтслеживатьВыборФайла = мир =>
{
    var файлы = Object.keys(мир.редактируемыйМодуль.структура).sort();
    for (var номер in файлы)
    {
        const номерФайла = номер;
        $(`#${мир.макет.списокФайлов.раздел}-${номер}-ссылка`).click(function() {
            мир.номерВыбранногоФайла = номерФайла;
            мир.уведомить("выбрали файл");
        });
    }
};

// // // //


ЗадатьРазделМенюСоСпискомФайлов = мир =>
{
    var файлы = Object.keys(мир.редактируемыйМодуль.структура).sort();
    var содержимое = "";
    for (var номер in файлы)
    {
        var название = файлы[номер];
        var id = `${мир.макет.списокФайлов.раздел}-${номер}`;
        var пункт = мир.макет.списокФайлов.пунктМеню
            .replace(/%название%/g, название)
            .replace(/%id%/g, id)
            ;
        содержимое += пункт;
    }
    
    var заголовок = "📦 " + мир.редактируемыйМодуль.имя;
    var раздел = мир.макет.списокФайлов.разделМеню
        .replace("%название%", заголовок)
        .replace("%содержимое%", содержимое)
        ;
    
    $(`#${мир.макет.константы.меню}`).append(раздел);
};


// // // //


ЗадатьЭлементыМакетаСпискаФайлов = мир =>
{
    мир.макет.списокФайлов = {
        "раздел": "списокФайлов",
        "разделМеню": `
<ul class="uk-nav uk-nav-default tm-nav">
    <li class="uk-nav-header">%название%</li>
    %содержимое%
</ul>
        `,
        "пунктМеню": `
<li id="%id%"><a id="%id%-ссылка"><span id="%id%-изменение" hidden>&#8226; </span>%название%</a></li>
        `,
    };
};


// // // //


ВывестиПриветствиеОтФайловГлавреда = мир =>
{
    console.debug("Привет от Файлов Главреда");
};

