/*
 * ВЫБОР ФАЙЛА
 */
 
/*

ЗадатьУказанныйФайл = function(мир)
{
    мир.файл = мир.файлы[мир.номерВыбранногоФайла];
};


// // // //


НеОтслеживатьРедактирование = function(мир)
{
    мир.отслеживатьРедактирование = false;
};


// // // //


ОтслеживатьРедактирование = function(мир)
{
    мир.отслеживатьРедактирование = true;
};


// // // //


ЗадатьПараметрФайла = function(мир)
{
    var файл = мир.файлы[мир.номерВыбранногоФайла];
    задатьПараметрВСтрокеПоиска("📁", файл);
};


// // // //


ОтобразитьСодержимоеВыбранногоФайла = function(мир)
{
    var файл = мир.файлы[мир.номерВыбранногоФайла];
    var содержимое = мир.временноеСодержимое[файл];
    if (!содержимое)
    {
        содержимое = мир.редактируемыйМодуль.содержимое[файл];
    };
    мир.редактор.session.setValue(содержимое);
};

*/

/*
 * ПУСК
 */
 
/*

const ИМЯ = "Главред | Glavred";


// // // //


ЗадатьВременноеСодержимое = function(мир)
{
    мир.временноеСодержимое = {};
};


// // // //


ЗадатьКнопкуСохранения = function(мир)
{
    var кнопка = мир.макет.элементы.действие
        .replace("${название}", "💾")
        .replace(/\$\{id\}/g, `${мир.макет.константы.сохранить}`)
    ;
    $(`#${мир.макет.константы.действия}`).append(кнопка);
    $(`#${мир.макет.константы.сохранить}-ссылка`).click(function() {
        мир.уведомить("выбрали сохранить");
    });
};


// // // //


НастроитьОтслеживаниеРедактирования = function(мир)
{
    мир.отслеживатьРедактирование = true;

    мир.редактор.session.on("change", function(delta) {
        if (мир.отслеживатьРедактирование)
        {
            мир.уведомить("редактирование");
        }
    });
};


// // // //


ВыбратьУказанныйФайл = function(мир)
{
    мир.номерВыбранногоФайла = мир.файлы.indexOf(мир.файл);
    мир.уведомить("выбрали файл");
}


// // // //


ВыбратьПервыйФайл = function(мир)
{
    мир.номерВыбранногоФайла = 0;
    мир.уведомить("выбрали файл");
}


// // // //


ПроверитьНаличиеУказанногоФайла = function(мир)
{
    if (
        мир.файл &&
        мир.файлы.includes(мир.файл)
    ) {
        мир.уведомить("указанный файл существует");
    }
    else
    {
        мир.уведомить("указанный файл не существует");
    }
};


// // // //


НастроитьAce = function(мир)
{
    мир.редактор = window.ace.edit("редактор");
    мир.редактор.session.setMode("ace/mode/javascript");
};


// // // //


ВывестиРазобранныеПараметры = function(мир)
{
    console.debug(`
Разобранные параметры редактора:

* 📦: '${мир.указатель}'
* 📁: '${мир.файл}'
    `);
};

*/

/*
 * РЕДАКТИРОВАНИЕ
 */
 
/*

СохранитьВременноеСодержимоеРедактируемогоФайла = function(мир)
{
    var файл = мир.файлы[мир.номерВыбранногоФайла];
    var содержимое = мир.редактор.session.getValue();
    мир.временноеСодержимое[файл] = содержимое;
};


// // // //


ПометитьВыбранныйФайлКакИзменённый = function(мир)
{
    $(`#${мир.макет.константы.файл}-${мир.номерВыбранногоФайла}-изменение`).removeAttr("hidden");
};


// // // //


ВывестиРедактирование = function(мир)
{
    console.debug("Редактирование");
};

*/

/*
 * СОХРАНЕНИЕ
 */
 
/*

УведомитьОНеудачномСохраненииИзменений = function(мир)
{
    UIkit.notification("Не удалось сохранить изменения", {status: "danger"});
    UIkit.notification("Could not save changes", {status: "danger"});
};


// // // //


УведомитьОбУспешномСохраненииИзменений = function(мир)
{
    UIkit.notification("Сохранили успешно", {status: "success"});
    UIkit.notification("Saved successfully", {status: "success"});
};


// // // //


СохранитьИзменения = function(мир)
{
    for (var файл in мир.временноеСодержимое)
    {
        var содержимое = мир.временноеСодержимое[файл];
        мир.редактируемыйМодуль.содержимое[файл] = содержимое;
    }

    мир.временноеСодержимое = {};

    мир.модули.сохранили.подписатьРаз(function() {
        мир.уведомить("сохранили изменения");
    });
    мир.модули.неСохранили.подписатьРаз(function() {
        мир.уведомить("не сохранили изменения");
    });
    мир.модули.сохранить(мир.редактируемыйМодуль.указатель);
};

*/
